auth
Sign-in, sessions, step-up and the current caller.
Sign-in, sessions, step-up and the current caller.
| Method | Path | Operation | Scope | Test mode |
|---|---|---|---|---|
| POST | /v1/auth/email-otp/start | auth_email_otp_start: Start e-mail sign-in (a 6-digit code by e-mail) | public | - |
| POST | /v1/auth/email-otp/verify | auth_email_otp_verify: Verify the e-mailed code and sign in | public | - |
| POST | /v1/auth/logout | auth_logout: Sign out the current or all sessions | any | - |
| GET | /v1/auth/mfa/factors | auth_mfa_factors_list: List my sign-in factors | any | - |
| DELETE | /v1/auth/mfa/totp/{factor_id} | auth_totp_delete: Remove TOTP (step-up required) | any | - |
| POST | /v1/auth/mfa/totp/{factor_id}/replace | auth_totp_replace: Replace the authenticator app (step-up required) | any | - |
| POST | /v1/auth/mfa/totp/enroll | auth_totp_enroll: Start TOTP enrolment | any | - |
| POST | /v1/auth/mfa/totp/verify | auth_totp_verify: Activate TOTP and get recovery codes | any | - |
| GET | /v1/auth/oauth/google/callback | auth_google_callback: Google redirect target | public | - |
| POST | /v1/auth/oauth/google/start | auth_google_start: Google sign-in URL (state + PKCE) | public | - |
| POST | /v1/auth/otp/{challenge_id}/resend | auth_otp_resend: Resend the code (30 s cooldown, 3 resends) | public | - |
| POST | /v1/auth/otp/start | auth_otp_start: Start phone OTP (login, signup, step-up, recovery) | public | - |
| POST | /v1/auth/otp/verify | auth_otp_verify: Verify the code and sign in | public | - |
| GET | /v1/auth/passkeys | auth_passkeys_list: List passkeys | any | - |
| DELETE | /v1/auth/passkeys/{passkey_id} | auth_passkeys_delete: Remove a passkey | any | - |
| GET | /v1/auth/passkeys/{passkey_id} | auth_passkeys_get: Get one passkey | any | - |
| POST | /v1/auth/passkeys/authenticate/options | auth_passkey_authenticate_options: Passkey sign-in or step-up challenge | public | - |
| POST | /v1/auth/passkeys/authenticate/verify | auth_passkey_authenticate_verify: Verify a passkey assertion (session or step-up token) | public | - |
| POST | /v1/auth/passkeys/register/options | auth_passkey_register_options: WebAuthn registration options | any | - |
| POST | /v1/auth/passkeys/register/verify | auth_passkey_register_verify: Finish passkey registration | any | - |
| GET | /v1/auth/policy | auth_policy_get: Which second factors this user must have | any | - |
| GET | /v1/auth/sessions | auth_sessions_list: Sessions and devices | any | - |
| DELETE | /v1/auth/sessions/{session_id} | auth_sessions_revoke: Revoke one session | any | - |
| GET | /v1/auth/sessions/{session_id} | auth_sessions_get: Get one session | any | - |
| POST | /v1/auth/step-up | auth_step_up: Get a 5-minute step-up token | any | - |
| POST | /v1/auth/token/refresh | auth_token_refresh: Refresh the session | public | - |
| GET | /v1/me | me_get: Current caller: user, memberships, workspaces, permissions, plan summary, MFA | any | - |
| PATCH | /v1/me | me_update: Update my profile | any | - |
| POST | /v1/me/data-export | me_data_export: Export my own data (DSR access) | any | - |
| POST | /v1/me/delete-request | me_delete_request: Request account erasure (DPDP/GDPR) | any | - |
| POST | /v1/me/devices | me_devices_register: Register a push device | any | - |
| DELETE | /v1/me/devices/{device_id} | me_devices_unregister: Unregister a push device | any | - |
| GET | /v1/me/devices/{device_id} | me_devices_get: Get one push device | any | - |
| POST | /v1/me/phone/change | me_phone_change: Change my login phone | any | - |
| POST | /v1/me/phone/verify | me_phone_verify: Verify my mobile number (Google sign-ups) | any | - |
| POST | /v1/me/switch-org | me_switch_org: Switch the active organisation / workspace | any | - |
Request and response schemas: the interactive reference at https://api.wapitick.com/docs, or docs/api/openapi.json.